var layoutsArray = new Array();

function Startup()
{
  if (!InitEditorShell())
    return;

  layoutsArray.push( [
    "#mozSlideContent { position: absolute; width: 675px; height: 355px; overflow: auto; border: thin solid black; padding: 10px; top: 80px; left: 75px ; font-size: larger; background-color: white}\n\n",
    "#mozSlideTitle {position: absolute; width: 675px; overflow: hidden; top: 10px; left: 75px; text-align: center; font-size: xx-large; font-weigth: bold; background-color: white}\n\n",
    "#mozSlideNavbar {position: absolute; width: 675px; top: 475px; left: 75px; font-size: smaller; font-weight: bold; background-color: white}\n\n",
    "#mozSlidePrevCell { text-align: left; background-color: white}\n\n",
    "#mozSlideCopyCell { text-align: center; background-color: white}\n\n",
    "#mozSlideNextCell { text-align: right; background-color: white}\n\n",
    "",
    "div", "mozSlideTitle", "Title"
    ] );

  layoutsArray.push( [
    "#mozSlideContent { position: absolute; width: 330px; height: 355px; overflow: auto; border: thin solid black; padding: 10px; top: 80px; left: 75px ; font-size: larger; background-color: white}\n\n",
    "#mozSlideTitle {position: absolute; width: 675px; overflow: hidden; top: 10px; left: 75px; text-align: center; font-size: xx-large; font-weigth: bold; background-color: white}\n\n",
    "#mozSlideNavbar {position: absolute; width: 675px; top: 475px; left: 75px; font-size: smaller; font-weight: bold; background-color: white}\n\n",
    "#mozSlidePrevCell { text-align: left; background-color: white}\n\n",
    "#mozSlideCopyCell { text-align: center; background-color: white}\n\n",
    "#mozSlideNextCell { text-align: right; background-color: white}\n\n",
    "#mozSlideFirstBlock { position: absolute; width: 315px; height: 150px; padding: 10px; top: 80px; left: 435px; font-size: larger; text-align: center; border: thin solid black; background-color: white }\n\n",
    "#mozSlideSecondBlock { position: absolute; width: 315px; height: 150px; padding: 10px; top: 285px; left: 435px; font-size: larger; text-align: center; border: thin solid black; background-color: white }\n\n",
    "",
    "div", "mozSlideTitle", "Title",
    "div", "mozSlideFirstBlock", "first block",
    "div", "mozSlideSecondBlock", "second block",
    ] );

  layoutsArray.push( [
    "#mozSlideContent { position: absolute; width: 675px; height: 150px; overflow: auto; border: thin solid black; padding: 10px; top: 80px; left: 75px ; font-size: larger; background-color: white}\n\n",
    "#mozSlideTitle {position: absolute; width: 675px; overflow: hidden; top: 10px; left: 75px; text-align: center; font-size: xx-large; font-weigth: bold; background-color: white}\n\n",
    "#mozSlideNavbar {position: absolute; width: 675px; top: 475px; left: 75px; font-size: smaller; font-weight: bold; background-color: white}\n\n",
    "#mozSlidePrevCell { text-align: left; background-color: white}\n\n",
    "#mozSlideCopyCell { text-align: center; background-color: white}\n\n",
    "#mozSlideNextCell { text-align: right; background-color: white}\n\n",
    "#mozSlideFirstBlock { position: absolute; width: 675px; height: 150px; padding: 10px; top: 275px; left: 75px; font-size: larger; text-align: center; border: thin solid black; background-color: white }\n\n",
    "",
    "div", "mozSlideTitle", "Title",
    "div", "mozSlideFirstBlock", "first block",
    ] );

}

function SelectSlideLayout(layoutId)
{
  var bodyNodelist = window.editorShell.editorDocument.getElementsByTagName("body");
  var bodyNode = null;
  if (bodyNodelist)
    bodyNode = bodyNodelist.item(0);
  if (!bodyNode) return;
  var range = window.editorShell.editorDocument.createRange();
  range.selectNodeContents(bodyNode);

  var slideDiv = window.editorShell.editorDocument.createElement("div");
  range.surroundContents(slideDiv);
  slideDiv.setAttribute("id", "mozSlideContent");

  var styleRules = true;
  var styles = "";
  for (var i=0; i<layoutsArray[layoutId].length; i++) {
    var e = layoutsArray[layoutId][i];
    if (e == "") {
      styleRules = false;
      var headNodelist = window.editorShell.editorDocument.getElementsByTagName("head");
      var headNode = null;
      if (headNodelist)
        headNode = headNodelist.item(0);
      if (!headNode) return;
      var style = window.editorShell.editorDocument.createElement("style");
      style.setAttribute("id", "mozSlideStylesheet");
      var t = window.editorShell.editorDocument.createTextNode(styles);
      style.appendChild(t);
      headNode.appendChild(style);
    }
    else if (styleRules) {
      styles += e;
    }
    else {
      var elt = window.editorShell.editorDocument.createElement(e);
      elt.setAttribute("id", layoutsArray[layoutId][i+1]);
      var t = window.editorShell.editorDocument.createTextNode(layoutsArray[layoutId][i+2]);
      elt.appendChild(t);
      bodyNode.appendChild(elt);
      i += 2;
    }
  }
  var navBar = window.editorShell.editorDocument.createElement("table");
  var navTbody = window.editorShell.editorDocument.createElement("tbody");
  var navTr = window.editorShell.editorDocument.createElement("tr");
  var prevCell = window.editorShell.editorDocument.createElement("td");
  var prevAnchor = window.editorShell.editorDocument.createElement("a");
  var prevText = window.editorShell.editorDocument.createTextNode("<<<<");
  var nextCell = window.editorShell.editorDocument.createElement("td");
  var nextAnchor = window.editorShell.editorDocument.createElement("a");
  var nextText = window.editorShell.editorDocument.createTextNode(">>>>");
  var copyCell  = window.editorShell.editorDocument.createElement("td");
  var copyText = window.editorShell.editorDocument.createTextNode("Description or Copyright");

  var fileprefix = document.getElementById("filePrefixInput").value;
  var number = document.getElementById("idInput").value;
  var p = number - 1 ;
  var n = number - 1 + 2 ;
  prevAnchor.appendChild(prevText);
  prevCell.appendChild(prevAnchor);
  prevCell.setAttribute("id", "mozSlidePrevCell");
  prevAnchor.setAttribute("href", fileprefix+p+".htm");
  navTr.appendChild(prevCell);

  copyCell.appendChild(copyText);
  copyCell.setAttribute("id", "mozSlideCopyCell");
  navTr.appendChild(copyCell);

  nextAnchor.appendChild(nextText);
  nextCell.appendChild(nextAnchor);
  nextCell.setAttribute("id", "mozSlideNextCell");
  nextAnchor.setAttribute("href", fileprefix+n+".htm");
  navTr.appendChild(nextCell);

  navTbody.appendChild(navTr);
  navBar.appendChild(navTbody);
  navBar.setAttribute("id", "mozSlideNavbar");
  bodyNode.appendChild(navBar);
  window.close();
}